package server

import (
	"strings"

	"github.com/kataras/iris/v12"
	"github.com/rs/zerolog/log"
	"pluja.dev/kycnot.me/database"
)

func (s *Server) handleApiService(c iris.Context) {
	serviceName := strings.ToLower(c.Params().Get("name"))

	service, err := database.Pb.GetServiceByNameOrUrl(serviceName)
	if err != nil {
		log.Debug().Err(err).Msgf("Could not get service %v from database", serviceName)
		c.HTML("<h3>%s</h3>", err.Error())
		return
	}

	// Remove 'tosReviews' service field to make a shorter answer
	service.TosReviews = nil
	service.Notes = nil
	service.Comments = nil
	service.Expand = nil
	service.Attributes = nil

	// Ensure to remove any other additional unnecessary fields to ensure code efficiency and better clarity.

	// Return the service as JSON
	c.JSON(service)
}
