package tos_scraper

import (
	"fmt"
	"io"
	"net/http"
)

type ScraperResponse struct {
	Content string `json:"content"`
	Length  int    `json:"length"`
}

func GetWithJina(url string) (string, error) {
	resp, err := http.Get("https://r.jina.ai/" + url)
	if err != nil {
		fmt.Println("Error making request:", err)
		return "", err
	}
	defer resp.Body.Close()

	// Read the response body as plain text
	body, err := io.ReadAll(resp.Body)
	if err != nil {
		fmt.Println("Error reading response body:", err)
		return "", err
	}
	// Store the response body in a variable
	responseText := string(body)

	return responseText, nil
}
